[Risolte]Banda Nera in Visualizzazione Desktop

Home Page Forum utenti Banda Nera in Visualizzazione Desktop

Tag: ,

Visualizzazione 12 filoni di risposte
  • Autore
    Articoli
    • #33207
      bottye
      Partecipante

      Ciao,

      da una settimana circa mi si presenta l’errore di cui in immagine, una banda nera irregolare che sfarfalla e se ne va solo se aggancio un display esterno (vedo che mi carica qualche scheda visualizzandomi un popup, mi sembra RealTek)

      Come posso rimediare?

      Grazie
      Ermanno

    • #33209
      Silvan
      Amministratore del forum

      Ciao,
      come prima cosa puoi provare ad aprire la configurazione del Compositore cercandolo nel menù principale e cambiare il Motore di rendering, provando le seguenti scelte in ordine di preferenza: ‘OpenGL 3.1’, ‘OpenGL 2.0’, ‘XRender’.
      Se questo non risolve una prima informazione che sarebbe utile sapere è il chipset video in uso sul PC in questione.

    • #33210
      bottye
      Partecipante

      Ciao, era già in XRender e provando, va meglio in OpenGL 3.1, ma non risolve.

      Strano che collegando un display esterno vada a posto…
      e riscollegandolo resti a posto…

      Sfarfalla con i movimenti del caret e del cursore del mouse…

      E-

      • Questa risposta è stata modificata 1 anno, 6 mesi fa da bottye.
    • #33212
      Silvan
      Amministratore del forum

      Ciao,
      potrebbe essere utile vedere un report del sistema.

    • #33213
      bottye
      Partecipante

      Ciao, grazie.

      Inviato.

      🙂

    • #33214
      Silvan
      Amministratore del forum

      Ciao,
      il report mostra che il kernel linux in esecuzione è vecchio e che non risulterebbe neanche installato alcun pacchettto del kernel, con conseguenze sul corretto funzionamento del sistema.
      Puoi provare a risolvere impartendo il seguente comando da una finestra di terminale:

      sudo dnf install kernel-mamba-x86_64 kernel-mamba-x86_64-headers

      dopo l’installazione avvenuta con successo il computer deve essere riavviato con questo nuovo kernel, selezionando la prima voce del menù del boot loader GRUB se ciò non avvenisse già in automatico.

      • Questa risposta è stata modificata 1 anno, 6 mesi fa da Silvan.
    • #33216
      bottye
      Partecipante

      Ciao,

      grazie, a un primo riavvio pare abbia funzionato.

      Ma per mantenere sempre aggiornato tutto,
      oltre agli aggiornamenti che propone il sistema dopo il controllo,

      quali sono le cose da fare?

      Io sulla chiave inglese del Centro di Controllo di OM su SW Comp. di OM ricevo l’errore:

      “Kommander file
      /usr/share/openmamba/mambabase/mambabase.kmdr
      does not exist.”

      Non devo far nulla di li?

      Grazie

      E-

    • #33217
      Silvan
      Amministratore del forum

      Ciao,
      il database dei pacchetti installati è probabilmente incompleto a seguito della passata migrazione con problemi da rpm 4 a rpm 5.
      Le soluzioni possono essere:
      1) una nuova installazione
      2) l’installazione dei pacchetti mancanti nel database di rpm in modo che il database e i pacchetti siano aggiornati

      Riguardo al punto 2, non è possibile/semplice sapere quali sono i pacchetti mancanti nel database da installare. Per quanto riguarda il centro di controllo di openmamba consiglierei:

      sudo dnf install desktop-base-openmamba mambatray

      Questo dovrebbe installare la versione aggiornata di mambatray ripristinandone il funzionamento (dopo riavvio della sessione), salvo altri pacchetti mancanti da rilevare successivamente. Dopodiché consiglierei, da Software -> Componenti di openmamba, di effettuare l’installazione dei pacchetti base e degli altri gruppi che erano stati precedentemente installati. Questo potrebbe risolvere una buona parte del problema.

    • #33218
      bottye
      Partecipante

      Ciao, Grazie!

      Ora pare sia andato tutto piuttosto bene.

      Nell’uso normale del pc solo con gli aggiornamenti Chromium ho qualche problema
      Compare la notifica:
      “I seguenti componenti sono disponibili per l’aggiornamento:

      chromium-widevine

      Aggiornare adesso?”

      Dando si, ricevo errore
      :
      “There was an error building chromium-widevine!”

      Dal Centro di Controllo ho rilevato certi log
      che provo ad allegare.

      P.S.
      Per la Virtual Box è poi forse andato a posto,
      anticipando certi aggiornamenti sempre dal Centro di Controllo, devo verificare.

      Grazie
      E-

    • #33220
      bottye
      Partecipante

      Ciao,

      aggiungo che aggiornando i
      “Base development packages (gcc, ….”
      arriva al

      Installing package libgtk-devel
      in alto l’ultimo che compare è il (61)
      ed si chiude senza avvisi e senza messaggi d’errore.

      Ti invio il report del sistema di OM in caso serva.

      Grazie
      E-

    • #33221
      Silvan
      Amministratore del forum

      Ciao,
      probabilmente non risulta installato neanche chromium, quindi

      sudo dnf install chromium

      Le installazioni di skype e spotify tramite centro di controllo sono obsolete, ed anche quella di msttcorefonts si può evitare.

      Se ti serve Skype puoi installare direttamente l’rpm prorprietario di terze parti da https://www.skype.com/en/thank-you-skype/.

      Se hai problemi ad installare i pacchetti base o di altri gruppi con il Centro di controllo openmamba, puoi eseguire da una finestra di terminale:

      mambabase

      ed in caso di errore copiare qui il log che compare nella finestra di terminale.

      • Questa risposta è stata modificata 1 anno, 6 mesi fa da Silvan.
    • #33244
      bottye
      Partecipante

      Ciao.

      Pare funzioni tutto,solo devo sempre avviare con i driver video proprietari, se no Firefox (forse anche chrome ma non lo uso mai) quando riproduce video dopo una almeno mezz’ora (circa – un quarto d’ora più o in meno – quasi indeterminabil, il tempo)
      e non sempre ma quasi, va in loop a swappare su disco bloccando il sistema operativo (ogni click ci può mettere anche 10-20 minuti e più a rispondermi) mi costringe sostanzialmente a spegnere di brutto il PC.

      Ora, ma non c’entra, dà anche questo errore in aggiunta, ma se vuoi lo metto in un’altra richiestadi aiuto:

      Errore durante l’esecuzione della transazione:
      il file /usr/include/X11/extensions/XKBgeom.h
      dell’installazione di libX11-devel-1.6.9-1mamba.x86_64
      entra in conflitto con il file del pacchetto
      xorgproto-devel-2018.4-1mamba.x86_64

      Sia per X11 che per X11-devel.

      Grazie

    • #33245
      Silvan
      Amministratore del forum

      Ciao,
      se hai installato il driver proprietario Nvidia puoi continuare ad usare la modalità di avvio con driver proprietario se funziona.
      Il problema dell’aggiornamento che segnali dovrebbe essere stato temporaneo in quanto la versione di xorgproto-devel adesso disponibile è la 2020.4 che non dovrebbe più causare il conflitto.

Visualizzazione 12 filoni di risposte
  • Devi aver eseguito l’accesso per poter rispondere a questa discussione.